> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List work orders

> List work orders

### Query parameters

<ParamField query="product_id" type="string" />

<ParamField query="bom_id" type="string" />

<ParamField query="status" type="string" />

<ParamField query="priority" type="string" />

<ParamField query="work_center_id" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

<ParamField query="after" type="string">
  Cursor for keyset pagination (opaque token from `next_cursor`).
</ParamField>

### Responses

<ResponseField name="200" type="WorkOrderListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/work-orders' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "has_more": true,
    "next_cursor": null,
    "total": 1,
    "work_orders": [
      {
        "bom_id": null,
        "created_at": "string",
        "id": "string",
        "notes": null,
        "priority": "string",
        "product_id": "string",
        "quantity_completed": "string",
        "quantity_to_build": "string",
        "status": "string",
        "work_order_number": "string"
      }
    ]
  }
  ```
</ResponseExample>
